            #GIT_CMT=dbb190e9feaaf813fc7dfc7acd008ee79f366a3a
# vim: ts=4 sw=4 sts=4 :

# Copyright (C) Oracle Inc

# If any of these RPMS is revised, the
# release and/or version needs update in list below
# release and/or version of this RPM needs to be bumped!
#
# Caution: Careful exact [epoch:]version-release needed - no mistakes!
%define uek_ibacm					4:1.2.1-1.0.8
%define uek_ibutils					4:1.5.7-0.2.gbd7e502.0.5
%define uek_infiniband_diags		4:1.6.5-1.0.5
%define uek_infiniband_diags_guest	%{uek_infiniband_diags}
%define uek_libibcm					4:1.0.5-1.0.5
%define uek_libibmad				4:1.3.12-1.0.4
%define uek_libibmad_devel			%{uek_libibmad}
%define uek_libibumad				4:1.3.10.2-1.0.3
%define uek_libibumad_devel			%{uek_libibumad}
%define uek_libibverbs				4:1.1.8-1.0.8
%define uek_libibverbs_devel		%{uek_libibverbs}
%define uek_libibverbs_utils		%{uek_libibverbs}
%define uek_libmlx4					4:1.0.6-1.0.6
%define uek_librdmacm				4:1.0.20-1.0.8
%define uek_librdmacm_devel			%{uek_librdmacm}
%define uek_librdmacm_utils			%{uek_librdmacm}
%define uek_libibacl				1.0-7
%define uek_mstflint				4:4.10.0-3.0.1
%define uek_opensm_libs				4:3.3.19-1.0.5
%define uek_perftest				4:4.2-1.0.1
%define uek_qperf					4:0.4.9-2.0.4

# Note: These two rpms usually work across UEK kernel releases
#	and their versions likely to be same across different UEK
#	kernels.
%define uek_rdma		2:3.10-3.0.41
%define uek_rds_tools	2.3.0-2

# Beginning with v1.0.0-45 OL7 packages will inlude "uek4" in
# their Release tag. The <version>-<release> of the packages
# listed above must be the same for both OL6 and OL7.
%{?el7:%define uektag uek4}

# There is no URL or upstream source entry as these packages constitutes
# upstream for itself

Name:		oracle-ofed-release
Version:	1.0.0
Release:	53%{?dist}%{?uektag}
Source0:	COPYING
Summary:	Setup for install of Oracle OFED stack userland Libraries and Utils

Group:		System Environment/Libraries
License:	GPLv2 or BSD
BuildRoot:	%{_tmppath}/%{name}-%{version}-build


# If any ofed userland rpm is added to requirements, it
# needs listing here. 
Requires:	ibacm = %{uek_ibacm}%{dist}%{?uektag}
Requires:	ibutils = %{uek_ibutils}%{dist}%{?uektag}
# Note: Following two lines different between base and -guest package!
Requires:	infiniband-diags = %{uek_infiniband_diags}%{dist}%{?uektag}
Conflicts:	infiniband-diags-guest
Requires:	libibcm = %{uek_libibcm}%{dist}%{?uektag}
Requires:	libibmad = %{uek_libibmad}%{dist}%{?uektag}
Requires:	libibmad-devel = %{uek_libibmad_devel}%{dist}%{?uektag}
Requires:	libibumad = %{uek_libibumad}%{dist}%{?uektag}
Requires:	libibumad-devel = %{uek_libibumad_devel}%{dist}%{?uektag}
Requires:	libibverbs = %{uek_libibverbs}%{dist}%{?uektag}
Requires:	libibverbs-devel = %{uek_libibverbs_devel}%{dist}%{?uektag}
Requires:	libibverbs-utils = %{uek_libibverbs_utils}%{dist}%{?uektag}
Requires:	libmlx4 = %{uek_libmlx4}%{dist}%{?uektag}
Requires:	librdmacm = %{uek_librdmacm}%{dist}%{?uektag}
Requires:	librdmacm-devel = %{uek_librdmacm_devel}%{dist}%{?uektag}
Requires:	librdmacm-utils = %{uek_librdmacm_utils}%{dist}%{?uektag}
Requires:	libibacl = %{uek_libibacl}%{dist}%{?uektag}
Requires:	mstflint = %{uek_mstflint}%{dist}%{?uektag}
Requires:	opensm-libs = %{uek_opensm_libs}%{dist}%{?uektag}
Requires:	perftest = %{uek_perftest}%{dist}%{?uektag}
Requires:	qperf = %{uek_qperf}%{dist}%{?uektag}

# Note: These two rpms usually work across UEK kernel releases
#	and their versions likely to be same across different UEK
#	kernels.
Requires:	rdma = %{uek_rdma}%{dist}%{?uektag}
Requires:	rds-tools = %{uek_rds_tools}%{dist}%{?uektag}


%description
This package installs software packages which are part of Oracle UEK OFED
releases for bare metal and dom0.

%prep

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_defaultdocdir}/%{name}
install -m 0644 %{SOURCE0} %{buildroot}%{_defaultdocdir}/%{name}

%files
%defattr(-,root,root,-)
%dir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}/COPYING

%package guest

Summary:	Setup for install of Oracle OFED stack userland Libraries and Utils for Guest OS

Group:		System Environment/Libraries
License:	GPLv2 or BSD

# If any ofed userland rpm is added to requirements for guest package, it
# needs listing here. 
Requires:	ibacm = %{uek_ibacm}%{dist}%{?uektag}
Requires:	ibutils = %{uek_ibutils}%{dist}%{?uektag}
# Note: Following two lines different between base and -guest package!
Conflicts:	infiniband-diags
Requires:	infiniband-diags-guest =  %{uek_infiniband_diags_guest}%{dist}%{?uektag}
Requires:	libibcm = %{uek_libibcm}%{dist}%{?uektag}
Requires:	libibmad = %{uek_libibmad}%{dist}%{?uektag}
Requires:	libibmad-devel = %{uek_libibmad_devel}%{dist}%{?uektag}
Requires:	libibumad = %{uek_libibumad}%{dist}%{?uektag}
Requires:	libibumad-devel = %{uek_libibumad_devel}%{dist}%{?uektag}
Requires:	libibverbs = %{uek_libibverbs}%{dist}%{?uektag}
Requires:	libibverbs-devel = %{uek_libibverbs_devel}%{dist}%{?uektag}
Requires:	libibverbs-utils = %{uek_libibverbs_utils}%{dist}%{?uektag}
Requires:	libmlx4 = %{uek_libmlx4}%{dist}%{?uektag}
Requires:	librdmacm = %{uek_librdmacm}%{dist}%{?uektag}
Requires:	librdmacm-devel = %{uek_librdmacm_devel}%{dist}%{?uektag}
Requires:	librdmacm-utils = %{uek_librdmacm_utils}%{dist}%{?uektag}
Requires:	libibacl = %{uek_libibacl}%{dist}%{?uektag}
#Note: mstflint rpm contents dont work on guests - so its excluded from guests
Requires:	opensm-libs = %{uek_opensm_libs}%{dist}%{?uektag}
Requires:	perftest = %{uek_perftest}%{dist}%{?uektag}
Requires:	qperf = %{uek_qperf}%{dist}%{?uektag}

# Note: These two rpms usually work across UEK kernel releases
#	and their versions likely to be same across different UEK
#	kernels.
Requires:	rdma = %{uek_rdma}%{dist}%{?uektag}
Requires:	rds-tools = %{uek_rds_tools}%{dist}%{?uektag}


%description guest
This package installs software packages which are part of Oracle UEK OFED
releases for virtual machines.


%files guest
%defattr(-,root,root,-)
%dir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}/COPYING


%changelog
* Thu Jan 09 2020 Mark Haywood <mark.haywood@0racle.com> - 1.0.0-53
- BUILDINFO: commit=dbb190e9feaaf813fc7dfc7acd008ee79f366a3a
- ibacm: Revert back to release v4:1.2.1-1.0.8
- rds-rools: Release v0:2.3.0-1 [Orabug 30652283]

* Mon Dec 23 2019 Mark Haywood <mark.haywood@0racle.com> - 1.0.0-52
- ibacm: Release v4:1.2.1-1.0.9 [Orabug: 29319222]
- opensm: Release v4:3.3.19-1.0.5 [Orabug 30260090]]
- rds-rools: Release v0:2.3.0-1 [Orabug 30652283]

* Thu Jul 18 2019 Mark Haywood <mark.haywood@0racle.com> - 1.0.0-51
- rdma: Release v2:3.10-3.0.41

* Thu Jan 31 2019 Mark Haywood <mark.haywood@0racle.com> - 1.0.0-50
- mstflint: Release v4:4.10.0-3.0.1

* Mon Jan 28 2019 Mark Haywood <mark.haywood@0racle.com> - 1.0.0-49
- rds-tools: Release v0:2.2.0-1

* Thu Jan 17 2019 Aron Silverton <aron.silverton@oracle.com> - 1.0.0-48
- ibacm:    Release v4:1.2.1-1.0.8
- perftest: Release v4:4.2-1.0.1

* Wed Jan 09 2019 Aron Silverton <aron.silverton@oracle.com> - 1.0.0-47
- ibacm: Release v4:1.2.1-1.0.7

* Tue Oct 02 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0.0-46
- ibacm: Release v4:1.2.1-1.0.6 [Orabug: 28708370]

* Tue Jun 12 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0.0-45
- Add Epoch to package versioning as needed (Aron Silverton) [Orabug: 27593051]
- libibverbs: Restrict to UEK4 kernels (Aron Silverton) [Orabug: 27959252]
- Add "uek4" token for OL7 package builds (Aron Silverton) [Orabug: 27934606]

* Fri May 11 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0.0-44
- ibacm: Release v1.2.1-1.0.4 (Aron Silverton) [Orabug: 28012569]

* Wed May 02 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0.0-43
- Roll-up fixes for new release (Aron Silverton) [Orabug: 27959710]

* Tue May 01 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0.0-42
- Consolidate OL6 and OL7 spec files (Aron Silverton) [Orabug: 25978222]

* Tue Mar 13 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0.0-41
- Include libibacl in oracle-ofed-release for OL7 [Orabug: 27680365]

* Wed Mar 07 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0.0-40
- librdmacm: Revert "librdmacm: WORKAROUND: Disable use of ibacm" (Aron Silverton) [Orabug: 27357700, 27549303]
- rdma-3.10: rdma-settings: Disable ibacm in user space (Avinash repaka) [Orabug: 27549303]

* Tue Mar 06 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0.0-39
- libibacl: Fix rpmlint issues (Aron Silverton) [Orabug: 27648148]
- libibacl: Cannot delete ACLs using a range of GUID (Ka-Cheong Poon) [Orabug: 27532785]

* Thu Feb 15 2018 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-38
  - [Orabug: 27508818] libibcm: use Epoch 4 to facilitate uek2 Exad image updates

* Tue Feb 13 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0.0-37
  - [Orabug: 27357700] WORKAROUND: Disable use of ibacm by librdmacm by default

* Mon Feb 05 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0.0-36
  - [Orabug: 27495708] Fix rpmlint issues
  - [Orabug: 27300558] Add support for mstflint on secure boot systems

* Fri Feb 02 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0.0-35
  - [Orabug: 26646620] Add IPv6 support to libibacl

* Fri Feb 10 2017 Joe Jin <joe.jin@oracle.com> - 1.0.0-24
  - [oraug 25539977] skip  port config if dev is ethernet

* Thu Jan 19 2017 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-23
  - [Orabug: 25424024 ] libibacl update to fix copyright issues

* Thu Oct 27 2016 Yuval Shaia <yuval.shaia@oracle.com> - 1.0.0-22
  - Add libibacl to required set of RPMs

* Mon Oct 10 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-21
  - Bump release number for next libibmad update

* Tue Oct 04 2016 Qing Huang <qing.huang@oracle.com> - 1.0.0-20
  - Bump release number for rdma-3.10 package update 

* Mon Sep 12 2016 Qing Huang <qing.huang@oracle.com> - 1.0.0-19
  - Bump release number for rdma-3.10 package update

* Fri Aug 26 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-18
  - Bump release number for next rdma-3.10 package update

* Sat Aug 13 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-17
  - Bump release number for another rdma package update

* Thu Aug 04 2016 Qing Huang <qing.huang@oracle.com> - 1.0.0-16
  - Bump release number for rdma package

* Thu Jul 21 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-15
  - Update rds-tools rpm release required
  - Bump release number for infiniband-diags{_guest}

* Sat Jun 25 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-14
  - [Orabug 23643216] Drop mstflint from guest rpm requirements
  - [Orabug 23643209] Drop ofed-docs from base and guest rpm requirements
  - Bump release number for infiniband-diags{_guest}

* Sat Jun 18 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-13
  - [Orabug 23216872] Make oracle-ofed-release-guest rpms for guest rpms
  - New infiniband-diags-guest rpm for guest os
  - Bump release number for infiniband-diags{_guest}

* Tue Jun 07 2016 Qing Huang <qing.huang@oracle.com> - 1.0.0-12
  - [Orabug 22731997] Add support for sparc64 platform
  - Updated mstflint, rdma, and rds-tools packages

* Fri May 27 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-11
  - [Orabug: 23479809] Remove tk from required rpms for ibutils
  - Bump required release for ibutils rpm

* Mon May 16 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-10
  - [Orabug: 23287059] Rebuild rpms due to header changes in required rpms
  - Updated required release for libibcm, perftest, qperf

* Mon May 16 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-9
  - [Orabug: 21616281] Add support for UEK2 XRC Api binary compatibility
  - libverbs, libmlx4, librdmacm required release updated

* Sat Jan 16 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-8
  - Restore libibverbs, libmlx4, librdmacm changes for sharedpd, user fmr
  - Add changelog to spec file for past changes

* Thu Jan 14 2016  Qing Huang <qing.huang@oracle.com> - 1.0.0-7
  - Update rdma package required.

* Wed Dec 9 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-6
  - Rollback libibverbs, libmlx4, librdmacm releases to investigate
    iser test instability.

* Tue Nov 17 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-5
  - Fix COPYING file text

* Thu Nov 12 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-4
  - Update License to GPLv2 or BSD.

* Thu Sep 24 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-3
  - Update release numbers for ibutils, infiniband-diags, libibverbs,
    libmlx4, librdmacm to pull in recent fixes.

* Sat Aug 22 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-2
  - Add perftest rpm as a requirement.

* Fri Aug 07 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-1
  - Initial version
